Telegram APIAccount
account.getPassword
Obtain configuration for two-factor authorization with password
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
workspaceId*string
Workspace ID
accountId*string
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
params*
Obtain configuration for two-factor authorization with password
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/account.getPassword" \ -H "Content-Type: application/json" \ -d '{ "params": {} }'{ "result": { "_": "account.password", "hasRecovery": true, "hasSecureValues": true, "hasPassword": true, "currentAlgo": { "_": "passwordKdfAlgoUnknown" }, "srp_B": "string", "srpId": "string", "hint": "string", "emailUnconfirmedPattern": "string", "newAlgo": { "_": "passwordKdfAlgoUnknown" }, "newSecureAlgo": { "_": "securePasswordKdfAlgoUnknown" }, "secureRandom": "string", "pendingResetDate": 0, "loginEmailPattern": "string" }}getPasskeys
List the passkeys associated to the current account that can be used to log in, see [here »](https://core.telegram.org/api/passkeys#list-passkeys) for more info on passkeys.
getPasswordSettings
Get private info associated to the password info (recovery email, telegram [passport](https://core.telegram.org/passport) info & so on)